Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514569 - Gluster-integration sync fails when volume is deleted
Summary: Gluster-integration sync fails when volume is deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-gluster-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: gowtham
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 19:17 UTC by Nishanth Thomas
Modified: 2018-11-07 08:52 UTC (History)
5 users (show)

Fixed In Version: tendrl-gluster-integration-1.5.4-3.el7rhgs.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 04:37:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3478 normal SHIPPED_LIVE RHGS Web Administration packages 2017-12-18 09:34:49 UTC
Red Hat Bugzilla 1647329 None None None 2019-03-04 07:43:46 UTC
Github Tendrl gluster-integration issues 483 None None None 2017-11-17 19:17:47 UTC

Internal Links: 1647329

Description Nishanth Thomas 2017-11-17 19:17:48 UTC
Description of problem:
When volume is deleted then gluster sync is failing with exception:

Exception in thread State sync thread:
Traceback (most recent call last):
Nov 15 21:39:36 dhcp43-25 tendrl-gluster-integration: File "/usr/lib64/python2.7/threading.py", line 811, in __bootstrap_inner
self.run()
File "/usr/lib/python2.7/site-packages/tendrl/gluster_integration/sds_sync/init.py", line 297, in run
raise ex
TypeError: int() argument must be a string or a number, not 'NoneType'

Nov 15 21:39:36 dhcp43-25 journal: 2017-11-15 16:09:36.529451+00:00 - gluster_integration - /usr/lib/python2.7/site-packages/tendrl/gluster_integration/sds_sync/init.py:293 - run - ERROR - gluster sds state sync error - TypeError: [{u'function': u'__bootstrap', u'line': 784, u'file': u'/usr/lib64/python2.7/threading.py', u'statement': u'self.__bootstrap_inner()'}, {u'function': u'__bootstrap_inner', u'line': 811, u'file': u'/usr/lib64/python2.7/threading.py', u'statement': u'self.run()'}, {u'function': u'run', u'line': 250, u'file': u'/usr/lib/python2.7/site-packages/tendrl/gluster_integration/sds_sync/init.py', u'statement': u'client_connections.sync_volume_connections(volumes)'}, {u'function': u'sync_volume_connections', u'line': 24, u'file': u'/usr/lib/python2.7/site-packages/tendrl/gluster_integration/sds_sync/client_connections.py', u'statement': u'else int(fetched_brick.client_count)'}]

Comment 5 errata-xmlrpc 2017-12-18 04:37:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3478


Note You need to log in before you can comment on or make changes to this bug.